<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Register</h4>
  <button type="button" class="close" aria-label="Close" (click)="modal.close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form ngForm (ngSubmit)="onSubmit(newAgent)" #newAgent="ngForm" [class.is-invalid]="usernameControl.valid && passwordControl.valid && emailControl.valid && managerControl.valid">
    <div class="form-group" >
      <label for="username">Username</label>
      <div class="input-group">
        <input [class.is-invalid]="usernameControl.invalid && usernameControl.touched" [(ngModel)]="username" id="username" class="form-control" required minlength="6" placeholder="Username" name="username" #usernameControl = "ngModel">
        <h3 [class.visible]="userExist" class="invalid-feedback">
                Username exist!!
              </h3>
      </div>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <div class="input-group">
        <input type="password" [class.is-invalid]="passwordControl.invalid && passwordControl.touched" ngModel="" id="password" class="form-control" placeholder="Password" required name="password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}" #passwordControl = "ngModel">
      </div>
    </div>
    <div class="form-group">
      <label for="emailAddress">Email Address</label>
      <div class="input-group">
        <input ngModel="" id="emailAddress" [class.is-invalid]="emailControl.touched && emailControl.invalid" class="form-control" required placeholder="Email Address" name="emailAddress" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" #emailControl = "ngModel">
      </div>
    </div>
    <mat-form-field  class="form-group" appearance="fill" >
      <mat-label> Managers</mat-label>
      <label for="managers"></label>
      <select matNativeControl ngModel="" id="managers" name="manager" required [class.is-invalid]="managerControl.untouched" #managerControl="ngModel">
        <option *ngFor="let manager of managerList" value="{{manager.username}}">
          {{manager.username}}
        </option>
      </select>
    </mat-form-field>
    <div class="form-group">
      <button type="submit" class="btn btn-outline-dark" [class.disabled]="newAgent.invalid">Register</button>
    </div>
  </form>
</div>
